View Issue Details

IDProjectCategoryView StatusLast Update
0020798LazarusIDEpublic2012-02-06 15:12
ReporterJay ThemonAssigned ToPaul Ishenin 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformOSWindows 7OS Version
Product VersionProduct BuildRevision 33907 
Target VersionFixed in Version0.9.31 (SVN) 
Summary0020798: Editor loses focus when showing declaration hint
DescriptionIn Windows 7 OS, ever since the new html hints were implemented (at revision 31225, approximately), the editor loses focus when displaying a declaration hint.

Although the hint will disappear and the editor will regain focus upon a keystroke, the keystroke is lost. Prior to the new html hints, the IDE handled this correctly.

[This is extremely annoying if the mouse cursor happens to be hovering over a declaration and pops up a declaration just prior to typing, resulting in the loss of the first character.]

Steps To Reproduce1) Make sure "Show declaration hints" is checked Under Options|Completion and Hints
2) In the editor, click somewhere to type
3) Move the mouse cursor so that it is hovering over a declaration, and wait for a declaration hint to pop up
4) Notice the editor loses focus
5) The first keystroke causes the declaration hint to disappear, but does not insert the keystroke into the editor, as it did in prior to the new html hints
TagsNo tags attached.
Fixed in Revision35175
LazTarget0.99.0
WidgetsetWin32/Win64
Attached Files

Activities

Zeljan Rikalo

2011-12-18 17:58

developer   ~0055113

@Jay, is it fixed in current trunk eg. r34260 ?

Jay Themon

2011-12-19 07:12

reporter   ~0055137

It is not fixed in the current trunk (r34264).

Zeljan Rikalo

2011-12-19 08:01

developer   ~0055138

So, this is regression. Target 0.99

Zeljan Rikalo

2012-02-04 11:42

developer   ~0056336

@Paul please review and postpone if needed.

Paul Ishenin

2012-02-06 10:13

manager   ~0056566

Please test and close if ok.

Jay Themon

2012-02-06 15:12

reporter   ~0056581

A cursory examination seems to indicate that this issue is now fixed.

Issue History

Date Modified Username Field Change
2011-12-02 18:07 Jay Themon New Issue
2011-12-18 17:58 Zeljan Rikalo LazTarget => -
2011-12-18 17:58 Zeljan Rikalo Note Added: 0055113
2011-12-18 17:58 Zeljan Rikalo Status new => feedback
2011-12-19 07:12 Jay Themon Note Added: 0055137
2011-12-19 08:01 Zeljan Rikalo LazTarget - => 0.99.0
2011-12-19 08:01 Zeljan Rikalo Widgetset => Win32/Win64
2011-12-19 08:01 Zeljan Rikalo Note Added: 0055138
2012-02-04 11:42 Zeljan Rikalo Note Added: 0056336
2012-02-04 11:42 Zeljan Rikalo Assigned To => Paul Ishenin
2012-02-06 10:13 Paul Ishenin Fixed in Revision => 35175
2012-02-06 10:13 Paul Ishenin Status feedback => resolved
2012-02-06 10:13 Paul Ishenin Fixed in Version => 0.9.31 (SVN)
2012-02-06 10:13 Paul Ishenin Resolution open => fixed
2012-02-06 10:13 Paul Ishenin Note Added: 0056566
2012-02-06 15:12 Jay Themon Note Added: 0056581